Name:           XDirectFB
Version:        1.0
Release:        0.fdr.0.rc5.1.rh90
Summary:        DirectFB-based X server.

Group:          User Interface/X
License:        XFree86
URL:            http://www.directfb.org/xdirectfb.xml
Source:         http://www.directfb.org/download/%{name}/%{name}-%{version}-rc5.tar.gz
Source1:	http://ftp.xfree86.org/pub/XFree86/4.3.0/source/X430src-1.tgz
Source2:	http://ftp.xfree86.org/pub/XFree86/4.3.0/source/X430src-2.tgz
Source3:	http://ftp.xfree86.org/pub/XFree86/4.3.0/source/X430src-3.tgz
Patch:		XDirectFB.xf86src.patch
Patch1:		XDirectFB.x11include.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  directfb-devel
BuildRequires:  XFree86-devel
BuildRequires:  bison
BuildRequires:  flex
Requires:       directfb

%description
XDirectFB is a rootless X Server using DirectFB windows for
X11 toplevel windows. This way you can adjust the opacity
of every application with your mouse wheel (while holding
CapsLock or Meta down over a window). More details about
these shortcuts can be found in the DirectFB README.
                                                                                
Window movements are initiated by the applications or
the window manager. The graphical movement is done by
DirectFB using available hardware acceleration.
                                                                                
Overlapping toplevel windows do not cause expose events,
i.e. redrawing of the window contents, as they are DirectFB
windows and therefore have an own surface, a.k.a. backing store.

# -----------------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}-rc5
%setup -T -D -a 1 -n %{name}-%{version}-rc5
%setup -T -D -a 2 -n %{name}-%{version}-rc5
%setup -T -D -a 3 -n %{name}-%{version}-rc5

# do the patching as explained in the README of XDirectFB
cd xc
patch -p0 < ../xc-directfb.diff
cp -prv ../programs/Xserver/hw/directfb programs/Xserver/hw
cp -prv ../config/cf/* config/cf
cat > config/cf/host.def <<EOF
#define XDirectFBServer YES
#define ProjectRoot /usr/X11R6
#define NothingOutsideProjectRoot YES
#define EtcX11Directory /etc/X11
#define FontconfigDir /etc/fonts
#define BuildServersOnly YES
EOF

# transparency patch
patch -p1 < ../xc-transparency-extension.diff

# fix XF86SRC
%patch -p1

# fix directClipboard.c X11 include dirs
%patch1 -p1

# -----------------------------------------------------------------------------

%build
cd xc
make World

#make test
#make check

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT
cd xc
make DESTDIR=$RPM_BUILD_ROOT install

# remove everything we don't need for this package
rm -f $RPM_BUILD_ROOT%{_prefix}/X11R6/bin/ccmakedep
rm -f $RPM_BUILD_ROOT%{_prefix}/X11R6/bin/cleanlinks
rm -f $RPM_BUILD_ROOT%{_prefix}/X11R6/bin/gccmakedep
rm -f $RPM_BUILD_ROOT%{_prefix}/X11R6/bin/imake
rm -f $RPM_BUILD_ROOT%{_prefix}/X11R6/bin/lndir
rm -f $RPM_BUILD_ROOT%{_prefix}/X11R6/bin/m*
rm -f $RPM_BUILD_ROOT%{_prefix}/X11R6/bin/r*
rm -f $RPM_BUILD_ROOT%{_prefix}/X11R6/bin/xmkmf
rm -rf $RPM_BUILD_ROOT%{_prefix}/X11R6/include
rm -rf $RPM_BUILD_ROOT%{_prefix}/X11R6/lib

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%files
%defattr(-,root,root,-)
/usr/X11R6/bin/XDirectFB

# -----------------------------------------------------------------------------

%changelog
* Fri May 03 2003 Your Name <you[AT]your.domain> - epoch:version-release
- Initial RPM release.
